Update an application form

patch

/fscmRestApi/resources/11.13.18.05/applicationFormDefinitions/{applicationFormDefinitionsUniqID}

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Application Form Definitions resource and used to uniquely identify an instance of Application Form Definitions. The client should not generate the hash key value. Instead, the client should query on the Application Form Definitions collection resource in order to navigate to a specific instance of Application Form Definitions to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Application Admit Periods
Type: array
Title: Application Admit Periods
The application admit period is child to application form definition and provides information about the admit periods form metadata.
Show Source
Nested Schema : Application Programs
Type: array
Title: Application Programs
The application program is child to the application form definition and provides information about the programs form metadata.
Show Source
Nested Schema : Entity Assignments
Type: array
Title: Entity Assignments
Academic entities such as institutions, campuses, or organizations assigned to application forms.
Show Source
Nested Schema : Form Fragments
Type: array
Title: Form Fragments
The form fragment is child to the application form definition and provides information about various parts of the form.
Show Source
Nested Schema : schema
Type: object
Show Source
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : applicationFormDefinitions-applicationPrograms-item-patch-request
Type: object
Show Source
  • Title: Course Selector
    Maximum Length: 1
    Default Value: false
    Indicates if the course selector is used for this program.
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : schema
Type: object
Show Source
  • Title: Request Action
    Maximum Length: 80
    The request action performed when passed by the user during an update. If set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : schema
Type: object
Show Source
  • Title: Fragment Content
    Form fragment content, for example, the XML content of the section.
  • Title: Fragment Type Code
    Maximum Length: 30
    Form fragment type code, for example form and section.
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : applicationFormDefinitions-item-response
Type: object
Show Source
Nested Schema : Application Admit Periods
Type: array
Title: Application Admit Periods
The application admit period is child to application form definition and provides information about the admit periods form metadata.
Show Source
Nested Schema : Application Programs
Type: array
Title: Application Programs
The application program is child to the application form definition and provides information about the programs form metadata.
Show Source
Nested Schema : Entity Assignments
Type: array
Title: Entity Assignments
Academic entities such as institutions, campuses, or organizations assigned to application forms.
Show Source
Nested Schema : Form Fragments
Type: array
Title: Form Fragments
The form fragment is child to the application form definition and provides information about various parts of the form.
Show Source
Nested Schema : applicationFormDefinitions-applicationAdmitPeriods-item-response
Type: object
Show Source
Nested Schema : applicationFormDefinitions-applicationPrograms-item-response
Type: object
Show Source
Nested Schema : applicationFormDefinitions-entityAssignments-item-response
Type: object
Show Source
Nested Schema : applicationFormDefinitions-formFragments-item-response
Type: object
Show Source
Back to Top